Несколько уязвимостей в iScripts SocialWare

Дата публикации:
10.04.2008
Дата изменения:
18.08.2008
Всего просмотров:
1093
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-1772
CVE-2008-1790
CVE-2008-1859
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
iScripts SocialWare 2.x
Уязвимые версии: , возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии events.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/events.php?action=show&id=-1[SQL]

2. Уязвимость существует из-за недостаточной проверки расширений загружаемых файлов в функционале Manage Settings. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе.

URL производителя: www.iscripts.com/socialware/index.php?scheme=11&pid=15

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


10.08.2008
Изменена секция "Решение".

или введите имя

CAPTCHA